/*
 * low_level_init makes it possible to customize 
 * initialization before main function is executed.
 *
 * 
 * Copyright:      1996-1998 IAR Systems. All rights reserved. 
 *
 * 	Created: 10/Sep/96  ITHA
 *
 *	Archived:  $Revision: 1.3 $
 *              :  $Revision: 1.31 MGOOD $
 */

#pragma language=extended

#pragma codeseg(RCODE)


/*
#ifdefs removed here because of problems when defining
a huge memory model in the compiler options
The following defines have been removed:

#if (__TID__ & 0x01)
unsigned char far_func low_level_init (void)
#else
unsigned char near_func low_level_init (void)
#endif
*/

unsigned char low_level_init (void)
  {
    /*==================================*/
    /*  Check your watch dog if needed	*/
    /*==================================*/
    
    /*==================================*/
    /*  Init I/O which must be enabled	*/
    /*  before segment initializations	*/
    /*  (as address lines).		*/
    /*==================================*/
    
    /*==================================*/
    /* Choose if segment initialization	*/
    /* should be done or not.		*/
    /* Return: 0 to omit seg_init	*/
    /*	       1 to run seg_init	*/
    /*==================================*/
    return (1);
  }
